#!/usr/bin/env ruby
# make.mo - Create mo-files.
#
# Original file is from Ruby-GetText-Package-0.9.0.
# Copyright (C) 2004,2005 Masao Mutoh
# This program is licenced under the same licence as Ruby.
#
# $Id: pre-setup.rb,v 1.1.1.1 2005/08/02 16:54:26 mutoh Exp $
#

require 'rbconfig'
bindir = Config::CONFIG["bindir"]

Dir.mkdir("data/locale") unless FileTest.exist?("data/locale")
Dir.glob("po/*/*.po") do |file|
  lang, basename = /po\/([\w\.]*)\/(.*)\.po/.match(file).to_a[1,2]
  localedir = "data/locale/#{lang}"
  Dir.mkdir(localedir) unless FileTest.exist?(localedir)
  localedir += "/LC_MESSAGES"
  Dir.mkdir(localedir) unless FileTest.exist?(localedir)
  cmd = "#{bindir}/ruby #{bindir}/rmsgfmt po/#{lang}/#{basename}.po -o #{localedir}/#{basename}.mo"
  puts cmd
  system(cmd)
end

File.open('lib/pkgconfigviewer/config.rb', 'w') do |io|
  io.puts <<EOS
=begin

  pkgconfigviewer/config.rb

  This file is automatically generated by pkg-config viewer installer.

=end

class PkgconfigviewerGlade
  DATA_DIR = '#{config('data-dir')}/pkgconfigviewer'
end
EOS
end
